# FoundationClasses
TKMath
TopLoc

# TopLoc_SListNodeOfSListOfItemLocation Class Reference

`#include <TopLoc_SListNodeOfSListOfItemLocation.hxx>`

Inheritance diagram for TopLoc_SListNodeOfSListOfItemLocation:

[legend]

## Public Member Functions

| TopLoc_SListNodeOfSListOfItemLocation (const TopLoc_ItemLocation &I, const TopLoc_SListOfItemLocation &aTail)
Standard_Integer & | Count () const
TopLoc_SListOfItemLocation & | Tail () const
TopLoc_ItemLocation & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopLoc_SListOfItemLocation | myTail
TopLoc_ItemLocation | myValue

## Constructor & Destructor Documentation

TopLoc_SListNodeOfSListOfItemLocation::TopLoc_SListNodeOfSListOfItemLocation | ( | const TopLoc_ItemLocation & | I,
|  | const TopLoc_SListOfItemLocation & | aTail
| ) |

## Member Function Documentation

Standard_Integer& TopLoc_SListNodeOfSListOfItemLocation::Count | ( |  | ) | const

Standard_EXPORT const TopLoc_SListNodeOfSListOfItemLocation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

TopLoc_SListOfItemLocation& TopLoc_SListNodeOfSListOfItemLocation::Tail | ( |  | ) | const

TopLoc_ItemLocation& TopLoc_SListNodeOfSListOfItemLocation::Value | ( |  | ) | const

## Field Documentation

TopLoc_SListOfItemLocation TopLoc_SListNodeOfSListOfItemLocation::myTail `[private]`

TopLoc_ItemLocation TopLoc_SListNodeOfSListOfItemLocation::myValue `[private]`

The documentation for this class was generated from the following file:

- TopLoc_SListNodeOfSListOfItemLocation.hxx